import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { PayAccount } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2020-09-02 11:01
 */
interface PayAccountCU extends ConditionUtil<PayAccountCU> {
    ID: FieldUtil<PayAccountCU>;
    CODE: FieldUtil<PayAccountCU>;
    NAME: FieldUtil<PayAccountCU>;
    ACT_TYPE: FieldUtil<PayAccountCU>;
    PAY_METHOD: FieldUtil<PayAccountCU>;
    ACT_CONFIG: FieldUtil<PayAccountCU>;
    REMARK: FieldUtil<PayAccountCU>;
    STATE: FieldUtil<PayAccountCU>;
    CREATE_TIME: FieldUtil<PayAccountCU>;
    UPDATE_TIME: FieldUtil<PayAccountCU>;
    CURRENCY_CODE: FieldUtil<PayAccountCU>;
}
declare class PayAccountMU extends TableUtilImpl<PayAccountCU, PayAccount> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): PayAccountCU;
    static get ID(): FieldUtil<PayAccountCU>;
    static get CODE(): FieldUtil<PayAccountCU>;
    static get NAME(): FieldUtil<PayAccountCU>;
    static get ACT_TYPE(): FieldUtil<PayAccountCU>;
    static get PAY_METHOD(): FieldUtil<PayAccountCU>;
    static get ACT_CONFIG(): FieldUtil<PayAccountCU>;
    static get REMARK(): FieldUtil<PayAccountCU>;
    static get STATE(): FieldUtil<PayAccountCU>;
    static get CREATE_TIME(): FieldUtil<PayAccountCU>;
    static get UPDATE_TIME(): FieldUtil<PayAccountCU>;
    static get CURRENCY_CODE(): FieldUtil<PayAccountCU>;
    get ID(): FieldUtil<PayAccountCU>;
    get CODE(): FieldUtil<PayAccountCU>;
    get NAME(): FieldUtil<PayAccountCU>;
    get ACT_TYPE(): FieldUtil<PayAccountCU>;
    get PAY_METHOD(): FieldUtil<PayAccountCU>;
    get ACT_CONFIG(): FieldUtil<PayAccountCU>;
    get REMARK(): FieldUtil<PayAccountCU>;
    get STATE(): FieldUtil<PayAccountCU>;
    get CREATE_TIME(): FieldUtil<PayAccountCU>;
    get UPDATE_TIME(): FieldUtil<PayAccountCU>;
    get CURRENCY_CODE(): FieldUtil<PayAccountCU>;
}
export { PayAccountMU, PayAccountCU };
